import { FormArray } from '@angular/forms';
import { FormState } from '../../shared/state/form/form.reducers';
import { Observable } from 'rxjs';
import { IsolatedMultiReduxHelper } from '../../shared/services/multi-redux.service';
import { BaseDynComponent, BaseDynConfig } from '../base-dyn/base-dyn.component';
import { UxDynFormModel } from '../../shared/model/ux-dyn-core.model';
export declare class BaseArrayComponent extends BaseDynComponent {
    formState?: Observable<FormState>;
    formMultiStore?: IsolatedMultiReduxHelper;
    dynFormArray?: FormArray;
    dynFormArrayConfig: UxDynFormModel;
    arrayName: string;
    constructor(config: BaseDynConfig);
    addToFormArray(): void;
    removeAtFormArray(index: any): void;
    setValuesByControl(newValues: Array<any>): void;
    bindDataToControl(data: Observable<any>): void;
    private setArrayParent;
}
